.visible-md {
    @media (max-width: 768px){
        display: none!important;
    }
}
.getcard {
    background: #fff;
    padding: 80px 0 55px 0;
    @media (max-width: 768px){
        padding-top: 0;
    }
    @media (max-width: 600px){
        overflow: hidden;
        max-width: 100%;
    }
    @media (max-width: 480px){
        padding: 0px 0 55px 0;
    }
    &-row.row {
        margin-top: 50px;
        @media (max-width: 480px){
            flex-wrap: wrap;
        }
    }
}
.steps{
    @media(max-width:768px){
        color:#fff;
        min-width: 100%;
        display: flex;
        justify-content: space-between;
        background-color: #FFB200;
        padding: 18.5px 17px 13.5px
    }
    @media(max-width:480px){
        color:#fff;
        min-width: 100%;
    }
}
.mobile_steps {
    display: none;
    width: calc(100% + 40px);
    margin-left: -20px;
    @media(max-width:768px){
        display: flex;
    }
}
.desktop_steps {
    @media(max-width:768px){
        display: none;
    }
}
.container{
    &-row.row {
        margin-top: 50px;
        @media (max-width: 768px){
            flex-direction: column;
        }
        @media (max-width: 480px){
            flex-wrap: wrap;
        }
    }
}
.step {
    color: #bcbcbc;
    &-line {
        display: none;
    }
    @media (max-width: 768px){
        color: inherit;
        font-size: 13px;
        width: 20%;
        padding-right: 5px;

        align-items: center;
        position: relative;
        &:not(:last-of-type) {
            justify-content: space-between;
        }
        &-name {
            margin-right: 5px
        }
        &-line {
            display: flex;
            height: 2px;
            flex: 1;
            margin-top: 2px;
            background-image: linear-gradient(to right, #FFB200 0%, #FFB200 50%, #fff 50%, #fff 100%);
            background-position: bottom;
            background-size: 7px 2px;
            background-repeat: repeat-x;
        }
    }
    @media(max-width:600px){
        flex-wrap: wrap;
        &-name {
            width: 100%;
            text-align: center;
        }
        &-line {
            position: absolute;
            width: calc((100% - 26px));
            top: 10px;
            left: calc(50% + 8px);
        }
    }
    &.active {
        font-weight: 700;
        color: #ffb200;
        .step-line {
            background: #fff;
        }
        @media (max-width: 768px){
            color: inherit;
        }
    }
    &.row {
        justify-content: flex-start;
        align-items: center;
        padding-top: 70px;
        @media (max-width: 768px){
            padding-top: 0;
        }
        @media (max-width: 600px){
            justify-content: center;
        }
    }

    &-dot {
        display: block;
        width: 12px;
        height: 12px;
        border-radius: 6px;
        background: #dddddd;
        position: relative;
        @media (max-width: 768px){
            width: 100%;
            height: 100%;
            background-color: rgba(0,0,0,0);
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        &:before {
            content: '';
            width: 1px;
            height: 60px;
            background: #ddd;
            position: absolute;
            left: 5.5px;
            top: -70px;
            @media(max-width:768px){
                display: none;
            }
        }

        &-container {
            width: 32px;
            @media (max-width: 768px){
                width: 26px;
                height: 26px;
                border-radius: 50%;
                margin-right: 5px;
                border: 2px solid #fff;
            }
        }

        &.active {
            background: #ffb200;

            &:before {
                background: #ffb200
            }
            @media (max-width: 768px){
                color: #FFB200;
                background: #fff;
                &:before {
                    background: #fff;
                }
            }
        }

    }

    &-name {
        line-height: 22px;
        font-family: OpenSans;
        font-size: 16px;
        letter-spacing: -0.1px;
        height: 22px;
        @media (max-width: 768px){
            font-size: inherit;
        }
    }

    &:first-child {
        &.row {
            padding-top: 0
        }

        .step-dot:before {
            display: none;

        }
    }


}

.getcardstep {
    flex-basis: 608px;
    @media (max-width: 600px){
        max-width: 100%;
    }
}


.stephint {
    line-height: 20px;
    font-size: 14px;
    color: #888888;
    margin-bottom: 20px;
    &-imagelink{
        color:#ffb200;
        cursor:pointer;
    }
}

.formstep {
    &-field_sms {
        min-width: 48%;
        margin-right: 4%;
        display: inline-block;
        &>input {
            padding: 28px 40px 10px 16px;
        }
        @media (max-width: 600px){
            width: 100%;
        }
    }
    &-field_sms_ar{
        margin-left: 4% ;
        margin-right: unset;
    }
    &-sms_button {
        display: inline-flex;
        width: 48%;
        font-size: 18px;
        height: 60px;
        @media (max-width: 600px){
            width: 100%;
            margin-top: 10px;
        }
        &.disabled {
            opacity: 0.6;
            cursor: not-allowed;

        }
    }
    &-step3 {
        &-title_item {
            width: 100%;
            font-size: 18px;
            font-weight: 600;
            color: #000000;
            margin-bottom: 20px;
            transition: opacity 0.4s;
        }
        &>.formstep-group:nth-child(2),&>.formstep-group:nth-child(3) {
            width: 48%;
            min-width: 48%;
            @media (max-width: 768px){
                min-width: 100%;
            }
        }
    }
    &-step5 {
        .form-title {
            margin-top: 20px;
        }
        &-stephint {
            display: flex;
            align-items: center;
            margin: 10px 0 5px;
            color: #888;
            @media (max-width: 600px){
                font-size: 12px;
            }
            &-image {
                filter: grayscale(1);
                margin-right: 12px;
                &.rtl {
                    margin-right: 0;
                    margin-left: 12px;
                }
            }
        }

    }
    &-imagelink {
        color: #ffb200;
        display: flex;
        align-items: center;
        cursor: pointer;
        img {
            margin: 0 5px;
        }
    }
    &-imagehint {
        margin-top: 20px;
        img {
            @media(max-width:600px){
                width: 100%;
            }
        }
    }
    &-texthint {
        @media(max-width:600px){
            display: none;
        }
    }
    &-check_disabled {
        opacity: 0.4;
    }
    &-check {
        margin-bottom: 18px;
        justify-content: flex-start;
        transition: opacity 0.4s;

        .formstep-checkbox {
            display: none;

        }

        .pseudo {
            width: 24px;
            height: 24px;
            border-radius: 4px;
            border: solid 2px #c8c7cc;
            background-color: #f3f5f6;

            &-container {
                min-width: 39px;
            }

            &.checked {
                border: solid 2px #ffb200;
                background-color: #ffb200;
                background-image: url('/assets/svg/check.svg');
                background-repeat: no-repeat;
                background-position: center center;
            }
        }
    }

    &-rad {
        margin-bottom: 18px;
        justify-content: flex-start;
        @media(max-width:600px){
            width: 50%;
            display: inline-flex;
            position: relative;
            justify-content: center;
            align-items: center;
            font-size: 16px;
            border: 1px solid #353535;
            height: 36px;
            border-radius: 0 4px 4px 0;
            &:first-of-type {
                border-right: none;
                border-radius: 4px 0 0 4px;
            }
        }
        .formstep-radio {
            display: none;
            @media(max-width:600px){
                &:checked~div:nth-of-type(2) {
                    color: #fff;
                }
            }
        }

        .pseudo {
            width: 24px;
            height: 24px;
            border-radius: 12px;
            border: solid 2px #c8c7cc;
            background-color: #f3f5f6;
            @media(max-width:600px){
                width: 100%;
                height: 100%;
                border: none;
                background-color: rgba(0,0,0,0);
                border-radius: 0;
            }
            &-container {
                min-width: 39px;
                @media(max-width:600px){
                    min-width: 100%;
                    height: 100%;
                    position: absolute;
                    &+div{
                        z-index: 100;
                    }
                }
            }

            &.checked {
                border: solid 2px #ffb200;
                background-color: #ffb200;
                background-image: url('/assets/svg/circle.svg');
                background-repeat: no-repeat;
                background-position: center center;
                @media(max-width:600px){
                    background-color: #353535;
                    border: 1px solid #353535;
                    color: #fff;
                    background-image: none;
                }
            }
        }
    }

    &.row {
        flex-wrap: wrap;
    }

    &-group {
        min-width: 100%;
        margin-bottom: 20px;

        .addimg-button {
            width: 50%;
            min-width: 310px;
            justify-content: flex-start;
            img {
                margin: 0 15px;
            }
            @media(max-width:600px){
                width: 100%;
            }
            @media(max-width:450px){
                justify-content: center;
                min-width: auto;
                img {
                    display: none;
                }
            }
        }

        &.valid {
            .formstep-field {
                border: 1px solid #3fc100
            }
            .formstep-field.filled{
                border: none
            }
            .formstep-valid_mark {
                display: inline-block;
            }
            .vs__actions {
                opacity: 0;
            }
        }

        &.unvalid {
            .formstep-field {
                border: 1px solid red
            }
            .formstep-unvalid_mark {
                display: inline-block;
            }
            .vs__actions {
                opacity: 0;
            }
        }
        &.dateOfBirth, &.gender{
            min-width: calc(50% - 16px);
            max-width: calc(50% - 16px)
        }
    }

    &-valid_mark {
        border: solid 2px #3fc100;
        border-radius: 4px;
        width: 10px;
        height: 16px;
        position: absolute;
        top: 20px;
        border-top-color: rgba(0,0,0,0);
        border-left-color: rgba(0,0,0,0);
        transform: rotate(45deg);
        right: 18px;
        display: none;
    }
    &-unvalid_mark {
        display: none;
        width: 14px;
        height: 14px;
        position: absolute;
        top: 20px;
        right: 18px;
        &:after {
            content: '';
            position: absolute;
            bottom: 0;
            transform-origin: bottom left;
            left: 0;
            width: 2px;
            height: 18px;
            transform: rotate(45deg);
            background-color: #ff1e1e;
        }
        &:before {
            content: '';
            position: absolute;
            width: 2px;
            bottom: 0;
            transform-origin: bottom right;
            right: 0;
            height: 18px;
            transform: rotate(-45deg);
            background-color: #ff1e1e;
        }
    }

    &-field {
        position: relative;
        background: #f3f5f6;
        border-radius: 4px;



    }

    &-input {
        width: 100%;
        height: 60px;
        border-radius: 4px;
        border: none;
        outline: none;
        background-color: transparent;
        padding: 28px 40px 10px 16px;
        color: #000;
        position: relative;
        z-index: 2
    }
    
    .vs--disabled,.vs--disabled+.formstep-label {
        opacity: 0.4;
        &+.formstep-label {
            z-index: 100;
        }
    }
    
    &-select {
        padding: 0 10px;
        .vs__dropdown-toggle {
            border: none;
            height: 60px;
            padding: 0;
            z-index: 2;
        }
        .vs__dropdown-menu {
            z-index: 11;
        }
        .vs__selected-options {
            margin-left: 0;
            z-index: 2;
            padding: 0;
        }
        .vs__selected {
            padding-top: 15px;
            padding-left: 5px;
        }
        .vs__actions {
            z-index: 9;
        }
    }

    &-label {
        position: absolute;
        height: 60px;
        left: 0;
        top: 0;
        width: 100%;
        line-height: 60px;
        padding: 0 16px;
        color: #353535;
        transition: all 0.5s;
        font-size: 14px;
        z-index: 1;
    }

    &-input:focus+.formstep-label,
    &-label.active {
        top: 8px;
        left: 0;
        color: #9f9f9f;
        font-size: 12px;
        line-height: 17px;
        height: 17px;
        padding: 0 17px;
    }

}

.buttons {
    margin-top: 28px;
    &>p {
        width: 100%;
    }
    .button {
        width: 128px;
        height: 48px;
        border-radius: 4px;
        cursor: pointer;
    }

    &-back {
        background: none;
        color: #ffb200;
        border: 1px solid #ffb200;

    }

    &-next {
        &.disabled {
            opacity: 0.6;
            cursor: not-allowed;

        }
    }
    .button-submit {
        width: 208px;
    }
}

.hints-row {
    align-items: flex-end;
    margin-bottom: 10px;
}
.addimg{
    &-input{
        display:none;
    }
    &-texthint {
        height: 14px;
        margin-top: 10px;
        font-size: 12px;
        color: #999999;
    }
    &-file_info {
        display: inline-block;
        margin-left: 32px;
        max-width: 50%;
        @media (max-width: 340px) {
            max-width: 100%;
            margin-left: 0;
        }
        &.rtl {
            margin-left: 0;
            margin-right: 32px;
            @media (max-width: 340px) {
                margin-right: 0;
            }
        }
        &-name {
            font-size: 14px;
            line-height: 1.57;
            color: #333333;
            word-break: break-all;
        }
        &-size {
            height: 17px;
            font-size: 12px;
            color: #9f9f9f;
            &.rtl {
                direction: initial;
                text-align: right;
            }
        }
    }
    &-preview{
        margin-top: 32px;
        display: flex;
        height: fit-content;
        align-items: center;
        flex-wrap: wrap;
        &-image_wrapper {
            position: relative;
            img{
                display:inline-block;
                max-width:200px;
                height: auto;
                border-radius: 4px;
                @media(max-width:600px) {
                    max-width: 128px;
                }
            }
            .remove_file {
                position: absolute;
                top: -7px;
                right: -7px;
                line-height: normal;
                display: inline-flex;
                font-size: 12px;
                padding: 0 0 2px 0.5px;
                width: 20px;
                height: 20px;
                background-color: rgba(0, 0, 0, 0.5);
                border-radius: 50%;
                background-color: #ff1e1e;
                align-items: center;
                justify-content: center;
                border: 2px solid #fff;
                color: #fff;
                font-weight: 600;
                &:hover {
                    cursor: pointer;
                }
                span {
                    line-height: 0;
                }
            }
        }

        &-title {
            height: 22px;
            margin-bottom: 17px;
            width: 100%;
            font-size: 16px;
            font-weight: 600;
            color: #000000;
        }


        
        
    }
}
.phone-ar, .email-ar, .date-ar, .IdentityNo-ar {
    direction: ltr;
    text-align: right;
}
